fn main() -> Result<(), Box<dyn std::error::Error>> {
    tonic_prost_build::configure()
        .build_server(false)
        .build_client(true)
        .compile_well_known_types(true)
        .extern_path(".google.protobuf", "::prost_types")
        .client_mod_attribute(".", "#[allow(unused_qualifications)]")
        .compile_protos(
            &["../../proto/ml_training.proto"],
            &["../../proto"],
        )?;

    println!("cargo:rerun-if-changed=../../proto/ml_training.proto");

    Ok(())
}
